package com.ym.mec.common.entity;

import com.alibaba.fastjson.JSONObject;

public class ImFileMessage extends ImBaseMessage {
    private String name;
    private Long size;
    private String fileUrl;
    private String extra;

    private static final transient String TYPE = "RC:FileMsg";

    public ImFileMessage(String name, Long size, String fileUrl, String extra) {
        this.name = name;
        this.size = size;
        this.fileUrl = fileUrl;
        this.extra = extra;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getExtra() {
        return extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    @Override
    public String getType() {
        return TYPE;
    }

    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
